> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vatic.trading/llms.txt
> Use this file to discover all available pages before exploring further.

# TWAP Market Resolution

> Beta endpoint comparing a closed market's opening target price, old snapshot-style close price, and candidate Chainlink TWAP settlement reference.

Compares one closed market's target price, snapshot close, and Chainlink TWAP closing reference.

Example BTC 5m market:

```text theme={null}
slug:  btc-updown-5m-1785603000
start: 1785603000
end:   1785603300
utc:   2026-08-01 16:50:00 -> 16:55:00
```

Target / price-to-beat:

```bash theme={null}
curl "https://api.vatic.trading/api/v1/targets/timestamp?asset=btc&type=5min&timestamp=1785603000"
```

Snapshot close / old spot close:

```bash theme={null}
curl "https://api.vatic.trading/api/v1/targets/timestamp?asset=btc&type=5min&timestamp=1785603300"
```

30s TWAP close:

```bash theme={null}
curl "https://api.vatic.trading/api/v1/twap/report?asset=btc&window=30&timestamp=1785603300"
```

All-in-one comparison:

```bash theme={null}
curl "https://api.vatic.trading/api/v1/twap/resolve?asset=btc&type=5min&marketStart=1785603000"
```


## OpenAPI

````yaml GET /api/v1/twap/resolve
openapi: 3.1.0
info:
  title: Vatic API
  version: 1.0.0
  description: >-
    Polymarket price targets, Hyperliquid prediction market data, market
    timestamps, fee calculators, and order management for systematic prediction
    market trading.
servers:
  - url: https://api.vatic.trading
    description: Production
security: []
paths:
  /api/v1/twap/resolve:
    get:
      tags:
        - Chainlink TWAP
      summary: TWAP resolution for one closed market
      description: >-
        Beta endpoint comparing a closed market's opening target price, old
        snapshot-style close price, and candidate Chainlink TWAP settlement
        reference.
      operationId: getTwapResolve
      parameters:
        - name: asset
          in: query
          required: true
          schema:
            type: string
            enum:
              - btc
              - eth
              - sol
              - xrp
              - hype
              - doge
              - bnb
        - name: type
          in: query
          required: true
          schema:
            type: string
            enum:
              - 5min
              - 15min
              - 4hour
        - name: marketStart
          in: query
          required: false
          schema:
            type: integer
            example: 1785599100
          description: >-
            Closed market start timestamp. Alternatively pass any timestamp
            inside the market via `timestamp`.
      responses:
        '200':
          description: Target vs TWAP comparison
        '400':
          description: Invalid input or market is not closed
        '502':
          description: Upstream error
        '503':
          description: Upstream throttled

````